<?php
/**
* This module was developed for PrestaShop Addons: http://addons.prestashop.com.
*
* @created   2015-03-20 20:08:00
* @updated   2016-01-17 03:16:00
*
* @author    Daniel Omine <omine@japancase.com>
* @copyright JapanCase - Digital Business
* @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/

class EpsilonAcsModuleFrontController extends ModuleFrontController
{
    /**
    @see FrontController::initContent()
    */
    public function initContent()
    {
        parent::initContent();

        $error = false;

        /**
		$this->context->controller->addCSS(
            Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/css/epsilon.css'
        );
		*/

        $md = Tools::getValue('MD');
        $pares = Tools::getValue('PaRes');

        if (empty($md)) {
            $error['md'] = $this->l('Missing merchant data (MD)');
        }
        if (empty($pares)) {
            $error['pares'] = $this->l('Missing ACS PaRes');
        }
        /*
        Save to the log and send request to Epsilonn
        */
        $rs = $this->module->ACS3DSecureSave($md, $pares);

        $cart = new Cart($rs['data']['jc_ps_id_cart']);
        //print_r($rs['gateway']->provider); exit;
        $this->context->smarty->assign(array(
            'provider' => $rs['gateway']->provider,
            'error' => $error,
            'order_total' => $cart->getOrderTotal(true, Cart::BOTH),
        ));

        $this->setTemplate('acs.tpl');
    }
}
