<?php
/**
* This module was developed for PrestaShop Addons: http://addons.prestashop.com.
*
* @created   2015-03-20 20:08:00
* @updated   2016-01-17 03:16:00
*
* @author    Daniel Omine <omine@japancase.com>
* @copyright JapanCase - Digital Business
* @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/

class EpsilonPaymentModuleFrontController extends ModuleFrontController
{
    public $ssl = true;
    public $display_column_left = false;

    /**
     * @see FrontController::initContent()
     */
    public function initContent()
    {
        parent::initContent();

        $cart = $this->context->cart;
        if (!$this->module->checkCurrency($cart)) {
            Tools::redirect('index.php?controller=order');
        }
        /**
        Protection against duplicated requests.
        Auto redirect to order-history page if an request has done before with current cart id.
        */
        $this->module->checkTransactionRequested($cart->id);

        /**
        Add CSS file.
        */
        $this->context->controller->addCSS(
            Tools::getShopDomainSsl(true, true).
            __PS_BASE_URI__.'modules/'.$this->module->name.'/views/css/epsilon.css',
            'all'
        );

        /**
        Retrieving error and warning messages.
        */
        $ck = $this->module->name . '_errors';
        if (isset($this->context->cookie->{$ck}) && !empty($this->context->cookie->{$ck})) {
            //print_r($this->context->cookie->{$ck}); //exit;
            $warn_errors = $this->context->cookie->{$ck};

            $warn_errors = html_entity_decode($warn_errors);
            //echo $warn_errors . '<br />';

            $chr = Tools::substr($warn_errors, 0, 1);
            if ($chr=='{' || $chr=='[') {
                //$warn_errors = json_decode($warn_errors, true);
                $warn_errors = Tools::jsonDecode($warn_errors, true);
            }
            // delete old messages
            unset($this->context->cookie->{$ck});
        } else {
            $warn_errors = false;
        }

        $this->context->smarty->assign(array(
            'warn_errors' => $warn_errors,
            //'optionsTwoTimesPayment' => $this->module->twoTimesPayment(),
            'optionsRevolving' => $this->module->optionsRevolving(),
            'optionsPayTime' => $this->module->optionsPayTime(),
            'cards' => $this->module->runningCards(),
            'nbProducts' => $cart->nbProducts(),
            'cust_currency' => $cart->id_currency,
            'currencies' => $this->module->getCurrency((int)$cart->id_currency),
            'total' => $cart->getOrderTotal(true, Cart::BOTH),
            'this_path' => $this->module->getPathUri(),
            'this_path_bw' => $this->module->getPathUri(),
            'this_path_ssl' => Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/'
        ));

        $this->setTemplate('payment_execution.tpl');
    }
}
