{*
* This module was developed for PrestaShop Addons: http://addons.prestashop.com.
*
* @created   2015-03-20 20:08:00
* @updated   2016-01-17 03:16:00
*
* @author    Daniel Omine <omine@japancase.com>
* @copyright JapanCase - Digital Business
* @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*}

{capture name=path}
	<a href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html':'UTF-8'}" title="{l s='Go back to the Checkout' mod='epsilon'}">{l s='Checkout' mod='epsilon'}</a><span class="navigation-pipe">{$navigationPipe|escape:'htmlall':'UTF-8'}</span>{l s='Epsilon payment' mod='epsilon'}
{/capture}


<h2>{l s='Order summary' mod='epsilon'}</h2>

{assign var='current_step' value='payment'}
{include file="$tpl_dir./order-steps.tpl"}

{if $nbProducts <= 0}
	<p class="warning">{l s='Your shopping cart is empty.' mod='epsilon'}</p>
{else}

<h3>{l s='Credit card payment' mod='epsilon'}</h3>

{if $warn_errors}<p class="warning">
	{l s='Sorry, an error occurred on payment process.' mod='epsilon'} 
	<br />
	{if $warn_errors|is_array}
		{foreach from=$warn_errors key=err_k item=err_v}
		<br />{$err_v|escape:'htmlall':'UTF-8'}
		{/foreach}
	{else}
		{$warn_errors|escape:'htmlall':'UTF-8'}
	{/if}
</p>{/if}

<form action="{$link->getModuleLink('epsilon', 'validation', [], true)|escape:'htmlall':'UTF-8'}" method="post" id="epsilon_form">
<p>


	<!-- <img src="{$this_path_bw|escape:'htmlall':'UTF-8'}views/img/icons/cc.png" alt="{l s='Epsilon' mod='epsilon'}" width="auto" height="130" style="float:left; margin: 0px 10px 5px 0px;" /> -->
	{l s='The total amount of your order is' mod='epsilon'}
	<span id="amount" class="price">{displayPrice price=$total}</span>
	{if $use_taxes == 1}
    	{l s='(tax incl.)' mod='epsilon'}
    {/if}

	{assign var=year_ini value={$smarty.now|date_format:'%Y'|escape:'htmlall':'UTF-8'}}
	<br /><br />{l s='Available cards' mod='epsilon'}
	<br />{foreach from=$cards key=k item=v}<img src="{$this_path_bw|escape:'htmlall':'UTF-8'}views/img/icons/cards/{$v['ico']|escape:'htmlall':'UTF-8'}" style=" margin-right:5px;" width="60" height="60" alt="{$v['brand']|escape:'htmlall':'UTF-8'}" title="{$v['brand']|escape:'htmlall':'UTF-8'}" />{/foreach}
	<br />
	&nbsp; {l s='Number' mod='epsilon'} <input type="text" name="card_number" size="25" class="ContentFormInputNumber" onkeypress='return event.charCode >= 48 && event.charCode <= 57' maxlength="23" />
	<br /><br />{l s='Expires' mod='epsilon'} 
	<select name="card_expire_year" class="general">
	<option value="" selected>{l s='Year' mod='epsilon'}</option>
	{for $n=$year_ini to ($year_ini+10)}
		<option value="{$n|escape:'htmlall':'UTF-8'}">{$n|escape:'htmlall':'UTF-8'}</option>
	{/for}
	</select>
	<select name="card_expire_month" class="general">
	<option value="" selected>{l s='Month' mod='epsilon'}</option>
	{for $n=1 to 12}
		<option value="{$n|escape:'htmlall':'UTF-8'}">{$n|escape:'htmlall':'UTF-8'}</option>
	{/for}
	</select>
	&nbsp;&nbsp;&nbsp; {l s='Code' mod='epsilon'} <input type="text" name="card_code" value="" size="4" class="ContentFormInputNumber" onkeypress='return event.charCode >= 48 && event.charCode <= 57' maxlength="4" />
	{if $optionsRevolving}
		<br /><br />{l s='[IMPORTANT]' mod='epsilon'} {l s='This is a recurring payment. You will be billed, monthly, automatically.' mod='epsilon'}
	{else}
		{if $optionsPayTime}
			<br /><br />{l s='Deferred Payment' mod='epsilon'} 
			<select name="card_pay_time" class="general">
			{foreach from=$optionsPayTime key=k item=v}
			{if $v == 1}
				{assign var='lbl' value='time'}
			{else}
				{assign var='lbl' value='times'}
			{/if}
				<option value="{$v|escape:'htmlall':'UTF-8'}">{$v|escape:'htmlall':'UTF-8'} {l s=$lbl mod='epsilon'}</option>
			{/foreach}
			</select>
		{/if}
	{/if}
	<br /><br /><br /><br />
	
	<b>{l s='Please confirm your order by clicking "I confirm my order".' mod='epsilon'}</b>
</p>
<p class="cart_navigation" id="cart_navigation">
	<input type="submit" value="{l s='I confirm my order' mod='epsilon'}" class="exclusive_large" />
	<a href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'htmlall':'UTF-8'}" class="button_large">{l s='Other payment methods' mod='epsilon'}</a>
</p>
</form>

{literal}
<script type="text/javascript">
jQuery(function() {
  $("#epsilon_form").submit(function() {
		// submit more than once return false
		$(this).submit(function() {
			return false;
		});
		// submit once return true
		return true;
	});
});

jQuery("#epsilon_form").submit(function(){
$(this).find(":submit").attr("disabled", "disabled");
});
</script>
{/literal}

{/if}